package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF9G9 extends MwfRequest<MWF9G9, MWF9G9Response> {

    @Parameter(name = "FaInitiall")
    MWF9G9 faInitiall(Double faInitiall);
    @Parameter(name = "FaMonthly")
    MWF9G9 faMonthly(Double faMonthly);
    @Parameter(name = "SRRI")
    MWF9G9 srri(String srri);
    @Parameter(name = "Term")
    MWF9G9 term(Long term);
}
